using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class OverallRatingAndReviewCount {
    /// <summary>
    /// Overall Company Rating
    /// </summary>
    /// <value>Overall Company Rating</value>
    [DataMember(Name="OverallRating", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "OverallRating")]
    public string OverallRating { get; set; }

    /// <summary>
    /// Review count
    /// </summary>
    /// <value>Review count</value>
    [DataMember(Name="ReviewCount", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "ReviewCount")]
    public string ReviewCount { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class OverallRatingAndReviewCount {\n");
      sb.Append("  OverallRating: ").Append(OverallRating).Append("\n");
      sb.Append("  ReviewCount: ").Append(ReviewCount).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
