using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class ReviewSitesReviewCount {
    /// <summary>
    /// Review Site Name
    /// </summary>
    /// <value>Review Site Name</value>
    [DataMember(Name="ReviewSiteName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "ReviewSiteName")]
    public string ReviewSiteName { get; set; }

    /// <summary>
    /// Review Count
    /// </summary>
    /// <value>Review Count</value>
    [DataMember(Name="ReviewCount", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "ReviewCount")]
    public string ReviewCount { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class ReviewSitesReviewCount {\n");
      sb.Append("  ReviewSiteName: ").Append(ReviewSiteName).Append("\n");
      sb.Append("  ReviewCount: ").Append(ReviewCount).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
